Blog

Akamai Content Control Utility (CCU) API End-of-Life Notice

November 16, 2018

Akamai’s API catalog is constantly evolving—and as a result, some of our older APIs need to be phased out over time.

If you’re an active user of one or more of these affected APIs, please note that as of March 1st, 2019, we will no longer support these earlier versions of the CCU APIs:

  • Content Control Utility (CCU) SOAP API v1
  • Content Control Utility (CCU) REST API v2
  • Content Control Utility (CCU) OPEN API v2

This notification does not apply to the ECCU Publisher SOAP API.

To minimize disruptions to your integration with Akamai’s platform, we recommend upgrading to the latest version of Fast Purge API v3 as soon as possible. After March 1st, 2019, calls to the legacy APIs noted above will return an error.

The Fast Purge API v3 provides purge speeds of ~5 seconds, and in early 2019 will include the new Purge by Cache Tag capability.  

A note about passwords

The Fast Purge API v3 implements stronger authentication methods than the legacy APIs.  In addition, certain password-management best practices have not been followed consistently for the legacy APIs so—as these credentials also provide access to the Akamai Luna Control Center UI—we strongly recommend that you rotate the passwords for any credentials that are currently in use for either the v1 or v2 APIs and ensure that such passwords are not shared.

For more information, please refer to these links:

As always, thanks for being a valued Akamai customer.